#
# spec file for package kpsk (Version 1.2rc2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/


BuildRequires: cracklib cyrus-sasl db-devel e2fsprogs fillup findutils flex gawk gdbm-devel glibc-devel glibc-locale gpm grep groff libnscd module-init-tools net-tools openldap2-client popt procinfo procps psmisc pwdutils rcs readline strace zlib-devel audiofile autoconf automake binutils expat fontconfig-devel freetype2-devel gdbm gettext giflib-devel jack-devel kdelibs3-devel kdelibs3-doc libart_lgpl-devel libgcrypt-devel libgpg-error libgpg-error-devel libpng-devel gcc-c++ libtiff-devel libtool libxml2-devel libxslt-devel openssl-devel pcre-devel perl python  


Name:         kpsk
URL:          http://sourceforge.net/projects/kpsk/
License:      LGPL
Group:        Productivity/Hamradio/Psk31
Autoreqprov:  on
Version:      1.2rc2
Release:      lp150.11.1
Summary:      PSK31 for the K Desktop Environment (KDE)
Source:       kpsk-1.2rc2.tar.gz
Source1:      kpsk-additional-files.tar.bz2
Patch:        kpsk-db43-rc2.diff
Patch1:       kpsk-desktop.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
KPSK is a psk application for KDE 3.x

%prep
%setup -n kpsk
%setup -a1 -n kpsk
%if 0%{?suse_version} >= 1020
%patch -p1
%endif
%patch1 -p 1
sed -i 456i\ 'return 0;' kpsk/server/server-main.C
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
CFLAGS="$CFLAGS -D__KERNEL_STRICT_NAMES"
CXXFLAGS="$CXXFLAGS -D__KERNEL_STRICT_NAMES"
%if %suse_version < 1140
sed -i 's|4\.3|4\.5|g' configure
%else 
sed -i 's|4\.3|4\.8|g' configure
%endif
./configure $configkde --disable-final

make 
%install
#. /etc/opt/kde3/common_options
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/kde3
make DESTDIR=$RPM_BUILD_ROOT install

%suse_update_desktop_file kpsk HamRadio

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO README
/opt/kde3/bin/kpsk
/opt/kde3/share/applnk/Applications/HamRadio
/opt/kde3/share/applications/kde/kpsk.desktop
/opt/kde3/share/doc/HTML/en/kpsk
/opt/kde3/share/doc/HTML/en/kpsk/common
/opt/kde3/share/doc/HTML/en/kpsk/index.cache.bz2
/opt/kde3/share/doc/HTML/en/kpsk/index.docbook
/opt/kde3/share/icons/locolor/16x16/apps/kpsk.png
/opt/kde3/share/icons/locolor/32x32/apps/kpsk.png
/opt/kde3/share/apps/kpsk
/opt/kde3/share/apps/kpsk/dxcc.db

%changelog -n kpsk
* Sat Oct 04 2008 - dl8fcl@darc.de
- updated for openSUSE_Factory
* Sat Dec 16 2006 - dg7gt@online.de
 - Update to version 1.2rc1 for openSUSE 10.2
* Wed May 31 2006 - dg7gt@online.de
- initial spec file for SUSE

